The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update Details of File Hash

Prev Next

This URL updates details of the allowed or blocked file hash.

Resource URL

PUT /advancedmalware?type=<hashtype>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
type Hashtype. Can be allow or block. String Yes

Payload Request Parameters:

Field Name Description Data Type Mandatory
oldFileHash Old file hash value String Yes
filehash New file hash value String No
filename File name String No
comment Comment String No

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Status. Set to 1 if the operation was successful. Number

Example

Request

PUT https://<NSM_IP>/sdkapi/advancedmalware?type=block

Payload

{
“oldFileHash”: "1aaaaaaaaaaaaaaaaaaaaaaaaaaaaa16"
"fileHash":"1aaaaaaaaaaaaaaaaaaaaaaaaaaa1116", "fileName":"file1", 
"comment":"updated Blocked filehash "
} 
 

Error Information

Response

{
"status": 1
} 

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Hash value is required
2 500 1003 Invalid file hash. It should be 32-digit hexadecimal value.
3 500 1005 This hash already exists on the allowlist/blocklist.
4 500 1004 Duplicate hash detected. A file with same hash already exists on this list.
5 500 1001 Please provide old hash value.